<?php
/* @var $this AdsPlacer_Pro_Html*/
$statistics = $this->parent->helper->getABTestingStatistics();
?>
<script>var adsplacerStatistic = {};</script>
<div class="wrap">
    <h2><?php _e('A/B Testing results', 'adsplacer_pro');?></h2>
    <table class="widefat fixed ab-testing-table">
        <thead>
        <tr>
            <th scope="col" class="manage-column"><?php _e('Start date', 'adsplacer_pro');?></th>
            <th scope="col" class="manage-column"><?php _e('Title', 'adsplacer_pro');?></th>
            <th scope="col" class="manage-column"><?php _e('Position', 'adsplacer_pro');?></th>
            <th scope="col" class="manage-column tac mob-hidden"><?php _e('Views count', 'adsplacer_pro');?></th>
            <th scope="col" class="manage-column tac mob-hidden"><?php _e('Clicks count', 'adsplacer_pro');?></th>
            <th scope="col" class="manage-column tac mob-hidden"><?php _e('CTR', 'adsplacer_pro');?></th>
            <th scope="col" class="manage-column"><?php _e('Manage', 'adsplacer_pro');?></th>
        </tr>
        </thead>
        <tfoot>
        <tr>
            <th scope="col" class="manage-column"><?php _e('Start date', 'adsplacer_pro');?></th>
            <th scope="col" class="manage-column"><?php _e('Title', 'adsplacer_pro');?></th>
            <th scope="col" class="manage-column"><?php _e('Position', 'adsplacer_pro');?></th>
            <th class="tac mob-hidden" scope="col" class="manage-column"><?php _e('Views count', 'adsplacer_pro');?></th>
            <th class="tac mob-hidden" scope="col" class="manage-column"><?php _e('Clicks count', 'adsplacer_pro');?></th>
            <th class="tac mob-hidden" scope="col" class="manage-column"><?php _e('CTR', 'adsplacer_pro');?></th>
            <th scope="col" class="manage-column"><?php _e('Manage', 'adsplacer_pro');?></th>
        </tr>
        </tfoot>

        <tbody>
        <?php foreach($statistics as $ad_id => $group):?>
            <?php
                $clicks = 0;
                $views = 0;
                $date = time();
                foreach($group as $row){
                    $clicks += $row->clicks;
                    $views += $row->views;
                    if($date > strtotime($row->date)){
                        $date = strtotime($row->date);
                    }
                }
            ?>
            <?php $ad = $this->parent->helper->getAd($ad_id);?>
            <?php if(!is_object($ad) || !$ad->ab_testing){continue;}?>
            <tr class="alternate">
                <td>
                    <p><?=date('Y-m-d', $date)?></p>
                </td>
                <td>
                    <p>
                        <?=$ad->name?>
                    </p>
                </td>
                <td>
                    <p><span style="font-size: 11px;color: #444;"><?php if($ad->location == AdsPlacer_Pro_Html::INSIDE_CONTENT):?>Блок внутри контента<?php elseif($ad->location == AdsPlacer_Pro_Html::BEFORE_CONTENT):?>Блок перед контентом<?php elseif($ad->location == AdsPlacer_Pro_Html::AFTER_CONTENT):?>Блок после контента<?php elseif($ad->location > 1000 && $ad->location < 2000):?>Шорткод [adsp-pro-<?php echo ($ad->location - 1000)?>]<?php endif;?></span></p>
                </td>
                <td class="tac mob-hidden">
                    <p class="views"><?=$views?></p>
                </td>
                <td class="tac mob-hidden">
                    <p class="clicks"><?=$clicks?></p>
                </td>
                <td class="tac mob-hidden">
                    <p class="ctr"><?=$views ? round($clicks / $views * 100, 2) : 0?>%</p>
                </td>
                <td style="position: relative;">
                    <script>adsplacerStatistic[<?=$ad_id?>] = {}</script>
                    <a href="#showStatistic" data-id="<?=$ad_id?>" class="open-modal-button"><?php _e('Show', 'adsplacer_pro');?></a> |
                    <a href="javascript:;" onclick="removeABStatistics(<?=$ad_id?>, jQuery(this).parent().parent())"><?php _e('Delete statistics', 'adsplacer_pro');?></a>
                    <?php foreach($group as $key => $row):?>
                        <?php $template = $this->parent->helper->getAdTemplate($row->template_id);?>
                        <script>adsplacerStatistic[<?=$ad_id?>][<?=$key?>] = {};</script>
                        <script>adsplacerStatistic[<?=$ad_id?>][<?=$key?>].template = <?=json_encode($template)?>;</script>
                        <script>adsplacerStatistic[<?=$ad_id?>][<?=$key?>].row = <?=json_encode($row)?>;</script>
                        <script>adsplacerStatistic[<?=$ad_id?>][<?=$key?>].ad = <?=json_encode($ad)?>;</script>
                    <?php endforeach;?>
                </td>
            </tr>
        <?php endforeach;?>
        </tbody>
    </table>

    <div id="showStatistic" class="adsplacer-pro-modal">
        <div class="adsplacer-pro-modal-content wide">
            <div class="adsplacer-pro-modal-header"><h4 id="stat-title"></h4><a href="#" class="adsplacer-pro-modal-close-button"><i class="fa fa-times"></i></a></div>

            <div class="adsplacer-pro-modal-body">
                <table class="widefat fixed ab-testing-table">
                    <thead>
                    <tr>
                        <th scope="col"><?php _e('Template', 'adsplacer_pro');?></th>
                        <th scope="col"><?php _e('Position', 'adsplacer_pro');?></th>
                        <th class="tac" scope="col"><?php _e('Views', 'adsplacer_pro');?></th>
                        <th class="tac" scope="col"><?php _e('Clicks', 'adsplacer_pro');?></th>
                        <th class="tac" scope="col"><?php _e('CTR', 'adsplacer_pro');?></th>
                    </tr>
                    </thead>
                    <tfoot>
                    <tr>
                        <th scope="col"><?php _e('Template', 'adsplacer_pro');?></th>
                        <th scope="col"><?php _e('Position', 'adsplacer_pro');?></th>
                        <th class="tac" scope="col"><?php _e('Views', 'adsplacer_pro');?></th>
                        <th class="tac" scope="col"><?php _e('Clicks', 'adsplacer_pro');?></th>
                        <th class="tac" scope="col"><?php _e('CTR', 'adsplacer_pro');?></th>
                    </tr>
                    </tfoot>
                    <tbody>
                    </tbody>
                </table>
                <canvas id="canvas_clicks" style="width: 100%;"></canvas>
                <canvas id="canvas_ctr" style="width: 100%;"></canvas>
            </div>
        </div>
    </div>
</div>
<div class="clear"></div>

<script>
    function removeABStatistics(adId, ui)
    {
        if(!confirm('Вы уверены?')){
            return;
        }
        jQuery.ajax({
            url: '/wp-admin/admin-ajax.php',
            data: {
                action: 'delete_statistics_ab_testing',
                ad_id: adId
            },
            type: 'POST',
            success: function(answer) {
                ui.find('.clicks').text(0);
                ui.find('.views').text(0);
                ui.find('.ctr').text('0%');
                ui.find('table tbody').text('');
            }
        });
    }
</script>