<?php
/* @var $this AdsPlacer_Pro_Html*/
?>
<div class="wrap">
    <h2><?php _e('Ad templates', 'adsplacer_pro');?></h2>
    <p><?php _e('Create ad templates in order to use them in ad blocks and ad shortcodes', 'adsplacer_pro');?></p>
    <p>
        <a target="_blank" href="https://youtu.be/0TJUAxqazQ0">Посмотрите видео как пользоваться данным разделом</a>
    </p>
    <a href="#addShortcodeModal" id="addShortcodeModalButton" class="add-new-shortcode open-modal-button"><?php _e('Add new advertise', 'adsplacer_pro');?></a>
    <table id="adsplacer_pro-shortcodes-table" class="wp-list-table widefat fixed posts">
        <thead>
        <tr>
            <th scope="col" id="categories" class="manage-column"><?php _e('Name', 'adsplacer_pro');?></th>
            <th scope="col" id="tags" class="manage-column"><?php _e('Value', 'adsplacer_pro');?></th>
        </tr>
        </thead>
        <tfoot>
        <tr>
            <th scope="col" id="categories" class="manage-column"><?php _e('Name', 'adsplacer_pro');?></th>
            <th scope="col" id="tags" class="manage-column"><?php _e('Value', 'adsplacer_pro');?></th>
        </tr>
        </tfoot>

        <tbody id="the-list adsplacer_pro-shortcodes-list">
        <input type="hidden" name="nonce_edit" value="<?php echo wp_create_nonce('nonce_edit'); ?>" autocomplete="off" />
        <input type="hidden" name="nonce_del" value="<?php echo wp_create_nonce('nonce_del'); ?>" autocomplete="off" />
        <input type="hidden" name="nonce_view" value="<?php echo wp_create_nonce('nonce_view'); ?>" autocomplete="off" />
        <input type="hidden" name="nonce_clone" value="<?php echo wp_create_nonce('nonce_clone'); ?>" autocomplete="off" />
        <?php foreach($this->parent->helper->getAdTemplates() as $ad):?>
        <tr class="alternate">
            <td class="post-title page-title column-title">
                <div class="row-title"><?=$ad->name?></div>
                <div class="row-actions">
                    <span class="edit">
                        <a href="#editShortcodeModal" data-id="<?=$ad->id?>" class="submitedittemplate"><?php _e('Change', 'adsplacer_pro');?></a> |
                    </span>
                    <span class="trash">
                        <a class="submitdeletetemplate" data-id="<?=$ad->id?>" href="#"><?php _e('Delete', 'adsplacer_pro');?></a>
                    </span>
                </div>
            </td>
            <td class="categories column-categories"><?=stripslashes(esc_html($ad->value))?></td>
        </tr>
        <?php endforeach;?>
        </tbody>
    </table>

    <div id="addShortcodeModal" class="adsplacer-pro-modal">
        <div class="adsplacer-pro-modal-content">
            <div class="adsplacer-pro-modal-header"><h4><?php _e('Add advertise', 'adsplacer_pro');?></h4><a href="#" class="adsplacer-pro-modal-close-button"><i class="fa fa-times"></i></a></div>
            <div class="adsplacer-pro-modal-body">
                <div class="form-group">
                    <label for="description"><?php _e('Name', 'adsplacer_pro');?>:</label>
                    <textarea class="form-control" id="description" name="description" rows="2" autocomplete="off"></textarea>
                </div>
                <div class="form-group">
                    <label><?php _e('Value', 'adsplacer_pro');?>:</label>
                    <div>
                        <?php
                        $args = array(
                            'wpautop' => 0,
                            'media_buttons' => 1,
                            'textarea_name' => 'value',
                            'textarea_rows' => 7,
                            'teeny'         => 1,
                            'tinymce'       => 1,
                            'quicktags'     => array(
                                'id' => 'contentValue',
                                'buttons' => 'strong,em,link,img,ul,ol,li'
                            ),
                        );
                        wp_editor( '', 'contentValue', $args ); ?>

                    </div>
                </div>

                <p id="addResult"></p>
            </div>

            <div class="adsplacer-pro-modal-footer">
                <i class="fa fa-refresh fa-spin hidden progress-icon" id="addShortcodeProgress"></i>
                <button id="addNewTemplateButton" class="button button-primary" data-add-nonce="<?php echo wp_create_nonce('addNewAd'); ?>" autocomplete="off"><?php _e('Add!', 'adsplacer_pro');?>!</button>
            </div>
        </div>
    </div>

    <div id="editShortcodeModal" class="adsplacer-pro-modal">
        <div class="adsplacer-pro-modal-content">
            <div class="adsplacer-pro-modal-header"><h4><?php _e('Ad editing', 'adsplacer_pro');?></h4><a href="#" class="adsplacer-pro-modal-close-button"><i class="fa fa-times"></i></a></div>

            <div class="adsplacer-pro-modal-body">
                <div id="viewShortcodeProgressContainer"><i class="fa fa-refresh fa-spin view-progress-icon" id="viewShortcodeProgress"></i></div>
                <div id="editable" class="hidden">
                    <div class="form-group">
                        <label for="editableShortcodeDescription"><?php _e('Name', 'adsplacer_pro');?>:</label>
                        <textarea class="form-control" id="editableShortcodeDescription" name="description" rows="2" autocomplete="off"></textarea>
                    </div>
                    <div class="form-group">
                        <label><?php _e('Value', 'adsplacer_pro');?>:</label>
                        <div>
                            <?php
                            $args = array(
                                'wpautop' => 0,
                                'media_buttons' => 1,
                                'textarea_name' => 'edit_value',
                                'textarea_rows' => 7,
                                'teeny'         => 1,
                                'tinymce'       => 1,
                                'quicktags'     => array(
                                    'id' => 'editableValue',
                                    'buttons' => 'strong,em,link,img,ul,ol,li'
                                ),
                            );
                            wp_editor( '', 'editableValue', $args ); ?>

                        </div>
                    </div>
                </div>
                <p id="editResult"></p>
            </div>

            <div class="adsplacer-pro-modal-footer">
                <i class="fa fa-refresh fa-spin hidden progress-icon" id="editShortcodeProgress"></i>
                <button id="editTemplateButton" class="button button-primary" data-id="" data-edit-nonce="" autocomplete="off"><?php _e('Update', 'adsplacer_pro');?>!</button>
            </div>
        </div>
    </div>
</div>
