<?php
$values         = get_option('adsplacer_ads_adblock', array());
$standardBlock  = get_option('adsplacer_adblock_standard_ad');
$adblockEnabled = get_option('adsplacer_adblock_enable');
$first_only     = get_option('adsplacer_adblock_first_only');
$appear_time    = get_option('adsplacer_adblock_appear_time', 2);
$default        = '';
$pc             = isset($values['pc']) && $values['pc']  ? $values['pc'] : $default;
$mobile         = isset($values['mobile']) && $values['mobile'] ? $values['mobile'] : $default;
?>
<div class="wrap">
    <h2><?php _e('Alternative ads for AdBlock', 'adsplacer_pro'); ?></h2>
    <p><?php _e('Enter your text or image, which would be shown on ads places of your site for users with enabled AdBlock. Appears if you have Google AdSense in your posts.', 'adsplacer_pro'); ?></p>
    <p>
        <?php _e("If alternative ads doesn't work for your site, please contact us to resolve the situation.", 'adsplacer_pro'); ?>
        <a href="https://wp-r.ru/kontakty/">
            <?php _e('Contacts', 'adsplacer_pro');?>
        </a>
    </p>
    <form id="adsplacer_settings_form" method="POST" action="">
        <table class="form-table">
            <tbody>
            <tr>
                <th width="33%"><?php _e('Enable', 'adsplacer_pro'); ?>?</th>
                <td>
                    <fieldset>
                        <input type="hidden" name="adblock[enable]" value="0">
                        <label><input type="checkbox" id="enable" name="adblock[enable]" value="1" <?php if($adblockEnabled):?>checked<?php endif;?>></label><br>
                    </fieldset>
                </td>
            </tr>
            <tr>
                <th width="33%"><?php _e('Use default advertise', 'adsplacer_pro'); ?>?</th>
                <td>
                    <fieldset>
                        <input type="hidden" name="adblock[standard_ad]" value="0">
                        <label><input type="checkbox" id="standard_ad" name="adblock[standard_ad]" value="1" <?php if($standardBlock):?>checked<?php endif;?>></label><br>
                    </fieldset>
                </td>
            </tr>
            <tr>
                <th width="33%"><?php _e('Ads appear time', 'adsplacer_pro'); ?></th>
                <td>
                    <label>
                        <input name="adblock[appear_time]" value="<?=$appear_time;?>"> <?php _e('in seconds', 'adsplacer_pro'); ?>
                    </label>
                </td>
            </tr>
            <tr>
                <th width="33%"><?php _e('Show only in a first block', 'adsplacer_pro'); ?>?</th>
                <td>
                    <fieldset>
                        <input type="hidden" name="adblock[first_only]" value="0">
                        <label><input type="checkbox" id="first_only" name="adblock[first_only]" value="1" <?php if($first_only):?>checked<?php endif;?>></label><br>
                    </fieldset>
                </td>
            </tr>
            </tbody>
        </table>
        <div id="adsplacer_settings_tabs">
            <ul>
                <li><a href="#tab-1"><?php _e('For PC', 'adsplacer_pro'); ?></a></li>
                <li><a href="#tab-2"><?php _e('For Mobile', 'adsplacer_pro'); ?></a></li>
            </ul>

            <div class="adsplacer-tabs" id="tab-1">
                <h3><?php _e('Message content', 'adsplacer_pro'); ?></h3>
                <p><?php _e('Message showed if user uses AdBlock on desktop', 'adsplacer_pro');?></p>
                <?php
                $args = array(
                    'wpautop' => 0,
                    'media_buttons' => 1,
                    'textarea_name' => 'adblock[pc]',
                    'textarea_rows' => 10,
                    'teeny'         => 1,
                    'keep_styles'   => true,
                    'tinymce'       => 1,
                    'quicktags'     => array(
                        'id' => 'adsPc',
                        'buttons' => 'strong,em,link,img,ul,ol,li'
                    ),
                );
                wp_editor(($pc), 'adsPc', $args); ?>
            </div>

            <div class="adsplacer-tabs" id="tab-2">
                <h3><?php _e('Message content', 'adsplacer_pro'); ?></h3>
                <p><?php _e('Message showed if user uses AdBlock on mobile', 'adsplacer_pro');?></p>
                <?php
                $args = array(
                    'wpautop' => 0,
                    'media_buttons' => 1,
                    'textarea_name' => 'adblock[mobile]',
                    'textarea_rows' => 10,
                    'teeny'         => 1,
                    'tinymce'       => 1,
                    'keep_styles'   => true,
                    'quicktags'     => array(
                        'id' => 'adsMobile',
                        'buttons' => 'strong,em,link,img,ul,ol,li'
                    ),
                );
                wp_editor(($mobile), 'adsMobile', $args); ?>

            </div>
        </div>
        <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e('Save changes', 'adsplacer_pro'); ?>"></p>
    </form>
</div>
<script>
    function disableEditor()
    {
        if(jQuery('#standard_ad:checked').length > 0){
            jQuery('#adsplacer_settings_tabs').hide();
        }
        else {
            jQuery('#adsplacer_settings_tabs').show();
        }
    }
    disableEditor();
    jQuery('#standard_ad').on('change', disableEditor);
</script>