<?php
/* @var $this AdsPlacer_Pro_Html*/
$countries      = array_merge(array('ALL' => __('All countries', 'adsplacer_pro')), $this->getInstalledCountries());
$cities         = array('ALL' => __('All cities', 'adsplacer_pro')) + $this->getInstalledCities();
$oses           = array_merge(array('all' => __('All operational systems', 'adsplacer_pro'), 'desktop' => __('All desktop systems', 'adsplacer_pro'), 'mobile' => __('All mobile systems', 'adsplacer_pro')), $this->getAllowedOSes());
$browsers       = array_merge(array('all' => __('All browsers', 'adsplacer_pro')), $this->getBrowsers());
$origins        = array_merge(array('all' => __('All origins', 'adsplacer_pro')), $this->getOrigins());
$authors        = array_merge(array('all' => __('All authors', 'adsplacer_pro')), $this->getAuthors());
$paragraphs     = array('custom' => 'Произвольно') + $this->getCustomParagraphs() + $this->getParagraphs();
$taxonomies     = array('all' => __('All taxonomies', 'adsplacer_pro')) + $this->getTaxonomies();
$post_tags      = array('all' => __('All post tags', 'adsplacer_pro')) + $this->getPostTags();
$ajaxEnabled    = get_option('adsplacer_show_ads_ajax');
?>
<div class="wrap">
    <h2><?php _e('Advertises with targeting', 'adsplacer_pro');?></h2>
    <a href="#addShortcodeModal" id="addShortcodeModalButton" class="add-new-shortcode open-modal-button"><?php _e('Add new advertise', 'adsplacer_pro');?></a>
    <table id="adsplacer_pro-shortcodes-table" class="wp-list-table widefat fixed posts">
        <thead>
        <tr>
            <th scope="col" class="manage-column"><?php _e('Description', 'adsplacer_pro');?></th>
            <th scope="col" class="manage-column"><?php _e('Value', 'adsplacer_pro');?></th>
            <th scope="col" class="manage-column"><?php _e('Targeting', 'adsplacer_pro');?></th>
        </tr>
        </thead>
        <tfoot>
        <tr>
            <th scope="col" class="manage-column"><?php _e('Description', 'adsplacer_pro');?></th>
            <th scope="col" class="manage-column"><?php _e('Value', 'adsplacer_pro');?></th>
            <th scope="col" class="manage-column"><?php _e('Targeting', 'adsplacer_pro');?></th>
        </tr>
        </tfoot>

        <tbody id="the-list adsplacer_pro-shortcodes-list">
        <input type="hidden" name="nonce_edit" value="<?php echo wp_create_nonce('nonce_edit'); ?>" autocomplete="off" />
        <input type="hidden" name="nonce_del" value="<?php echo wp_create_nonce('nonce_del'); ?>" autocomplete="off" />
        <input type="hidden" name="nonce_enable" value="<?php echo wp_create_nonce('nonce_enable'); ?>" autocomplete="off" />
        <input type="hidden" name="nonce_disable" value="<?php echo wp_create_nonce('nonce_disable'); ?>" autocomplete="off" />
        <input type="hidden" name="nonce_view" value="<?php echo wp_create_nonce('nonce_view'); ?>" autocomplete="off" />
        <input type="hidden" name="nonce_clone" value="<?php echo wp_create_nonce('nonce_clone'); ?>" autocomplete="off" />
        <?php foreach($this->parent->helper->getAds(array('location' => $type)) as $ad):?>
            <?php
            $adContent = '';
            if(!empty($ad->template)){
                foreach($ad->template as $template) {
                    $adContent .= stripslashes(esc_html($template->value));
                }
            }
            else{
                $adContent = stripslashes(esc_html($ad->value));
            }
            ?>
            <tr class="alternate"<?php if($ad->disabled):?> style="background-color: #ffd3d3;" <?php endif;?>>
                <td class="post-title page-title column-title">
                    <div class="row-title"><?=$ad->name?></div>
                    <div class="row-actions">
                    <span class="edit">
                        <a href="#editShortcodeModal" data-id="<?=$ad->id?>" class="submitedit"><?php _e('Change', 'adsplacer_pro');?></a> |
                    </span>
                    <span class="copy">
                        <a href="javascript:;" data-id="<?=$ad->id?>" class="submitclone"><?php _e('Copy', 'adsplacer_pro');?></a> |
                    </span>
                    <span class="trash">
                        <a class="submitdelete" data-id="<?=$ad->id?>" href="#"><?php _e('Delete', 'adsplacer_pro');?></a> |
                    </span>
                    <span class="disable">
                        <?php if($ad->disabled):?>
                            <a style="display: none;" class="submitdisable" data-id="<?=$ad->id?>" href="#"><?php _e('Disable', 'adsplacer_pro');?></a>
                            <a class="submitenable" data-id="<?=$ad->id?>" href="#"><?php _e('Enable', 'adsplacer_pro');?></a>
                        <?php else:?>
                            <a class="submitdisable" data-id="<?=$ad->id?>" href="#"><?php _e('Disable', 'adsplacer_pro');?></a>
                            <a style="display: none;" class="submitenable" data-id="<?=$ad->id?>" href="#"><?php _e('Enable', 'adsplacer_pro');?></a>
                        <?php endif;?>
                    </span>
                    </div>
                    <?php if($ajaxEnabled && strpos($adContent, 'document.write')):?>
                    <div style="font-size: 11px;color: red;">Данное объявление не будет показываться на сайте при включенной ajax подгрузке объявлений, из-за document.write внутри текста объявления.</div>
                    <?php endif;?>
                </td>
                <?php if(!empty($ad->template)):?>
                    <td class="categories column-categories">
                        <?php if(count($ad->template) > 1):?>
                            <?php foreach($ad->template as $template):?>
                                <?php _e('Template', 'adsplacer_pro');?>: <?=$template->name?><br>
                            <?php endforeach;?>
                        <?php else:?>
                            <?php foreach($ad->template as $template):?>
                                <?php _e('Template', 'adsplacer_pro');?>: <?=$template->name?><br>
                                <code><?php echo stripslashes(esc_html($template->value));?></code><br>
                            <?php endforeach;?>
                        <?php endif;?>
                    </td>
                <?php else:?>
                    <td class="categories column-categories"><?=stripslashes(esc_html($ad->value))?></td>
                <?php endif;?>
                <td class="tags column-tags">
                    <?php _e('Authors', 'adsplacer_pro');?>: <?php if(count($ad->authors)>0):?><?=implode(', ', $ad->authors) . '<br>'?><?php else:?><?php _e('All', 'adsplacer_pro');?><br><?php endif;?>
                    <?php _e('Posts', 'adsplacer_pro');?>: <?php if(count($ad->posts)>0):?><?=implode(', ', $ad->posts) . '<br>'?><?php else:?><?php _e('All', 'adsplacer_pro');?><br><?php endif;?>
                    <?php _e('Operational systems', 'adsplacer_pro');?>: <?php if(count($ad->os)>0):?><?=implode(', ', $ad->os) . '<br>'?><?php else:?><?php _e('All', 'adsplacer_pro');?><br><?php endif;?>
                    <?php _e('Countries', 'adsplacer_pro');?>: <?php if(count($ad->countries)>0):?><?=implode(', ', $ad->countries) . '<br>'?><?php else:?><?php _e('All', 'adsplacer_pro');?><br><?php endif;?>
                    <?php _e('Cities', 'adsplacer_pro');?>: <?php if(count($ad->cities)>0):?><?=implode(', ', $this->mapCitiesName($ad->cities)) . '<br>'?><?php else:?><?php _e('All', 'adsplacer_pro');?><br><?php endif;?>
                    <?php _e('Browsers', 'adsplacer_pro');?>: <?php if(count($ad->browsers)>0):?><?=implode(', ', $ad->browsers) . '<br>'?><?php else:?><?php _e('All', 'adsplacer_pro');?><br><?php endif;?>
                    <?php _e('Origins', 'adsplacer_pro');?>: <?php if(count($ad->origins)>0):?><?=implode(', ', $ad->origins) . '<br>'?><?php else:?><?php _e('All', 'adsplacer_pro');?><br><?php endif;?>
                    <?php if(count($ad->paragraphs) > 0):?>
                        <?php foreach($ad->paragraphs as $key => $value):?>
                            <?php
                            if(array_key_exists($value, $this->getCustomParagraphs())){
                                $array = $this->getCustomParagraphs();
                                $ad->paragraphs[$key] = $array[$value];
                            }
                            ?>
                        <?php endforeach;?>
                        <?php _e('Paragraphs', 'adsplacer_pro');?>: <?=implode(', ', $ad->paragraphs) . '<br>'?>
                    <?php endif;?>
                    <?php if(count($ad->tags) > 0):?>
                        <?php foreach($ad->tags as $key => $val):?>
                            <?php
                            $numbers = $this->parent->helper->getTagNumbers($ad->id, $val);
                            $ad->tags[$key] = $ad->tags[$key] . '(' . implode(', ', $numbers) . ')';
                            ?>
                        <?php endforeach;?>
                        <?php _e('Tags', 'adsplacer_pro');?>: <?=implode(', ', $ad->tags) . '<br>'?>
                    <?php endif;?>
                    <?php _e('Timings', 'adsplacer_pro');?>: <?php if($ad->timing_enabled):?><?= __('Is set', 'adsplacer_pro') . '<br>'?><?php else:?><?php _e('Not set', 'adsplacer_pro');?><br><?php endif;?>
                    <?php _e('Taxonomies', 'adsplacer_pro');?>: <?php if(count($ad->taxonomies)>0):?><?=implode(', ', $ad->taxonomies) . '<br>'?><?php else:?><?php _e('All', 'adsplacer_pro');?><br><?php endif;?>
                    <?php _e('Post tags', 'adsplacer_pro');?>: <?php if(count($ad->post_tags)>0):?><?=implode(', ', $ad->post_tags) . '<br>'?><?php else:?><?php _e('All', 'adsplacer_pro');?><br><?php endif;?>
                    <?php _e('Only first time', 'adsplacer_pro');?>: <?php if($ad->first_time):?><?= __('Yes', 'adsplacer_pro') . '<br>'?><?php else:?><?php _e('No', 'adsplacer_pro');?><br><?php endif;?>
                    <?php _e('A/B Testing', 'adsplacer_pro');?>: <?php if($ad->ab_testing):?><?= __('Yes', 'adsplacer_pro') . '<br>'?><?php else:?><?php _e('No', 'adsplacer_pro');?><br><?php endif;?>
                </td>
            </tr>
        <?php endforeach;?>
        </tbody>
    </table>

    <div id="addShortcodeModal" class="adsplacer-pro-modal">
        <div class="adsplacer-pro-modal-content">
            <div class="adsplacer-pro-modal-header"><h4><?php _e('Add advertise', 'adsplacer_pro');?></h4><a href="#" class="adsplacer-pro-modal-close-button"><i class="fa fa-times"></i></a></div>
            <div class="adsplacer-pro-modal-body">
                <input type="hidden" name="location" value="<?=$type?>">
                <div class="form-group">
                    <label class="spoiler-header"><?php _e('Taxonomies', 'adsplacer_pro');?>:</label>
                    <div class="input-spoiler">
                        <select data-placeholder="Нажмите чтобы начать выбирать" id="taxonomy" class="form-control" name="taxonomies[]" multiple>
                            <?php foreach($taxonomies as $code => $taxonomy):?>
                                <option value="<?=$code?>"><?=$taxonomy?></option>
                            <?php endforeach;?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="spoiler-header"><?php _e('Post tags', 'adsplacer_pro');?>:</label>
                    <div class="input-spoiler">
                        <select data-placeholder="Нажмите чтобы начать выбирать" id="post_tag" class="form-control" name="post_tags[]" multiple>
                            <?php foreach($post_tags as $code => $post_tag):?>
                                <option value="<?=$code?>"><?=$post_tag?></option>
                            <?php endforeach;?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="spoiler-header"><?php _e('Paragraphs', 'adsplacer_pro');?>:</label>
                    <div class="input-spoiler">
                        <select data-placeholder="Нажмите чтобы начать выбирать" id="paragraph" class="form-control" name="paragraphs[]" multiple>
                            <?php foreach($paragraphs as $code => $paragraph):?>
                                <option value="<?=$code?>"><?=$paragraph?></option>
                            <?php endforeach;?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="spoiler-header"><?php _e('Tags', 'adsplacer_pro');?>:</label>
                    <?php foreach(AdsPlacer_Pro_Changer::$allowedTags as $tag):?>
                        <div class="input-spoiler">
                            <label class="tags-targeting"><?=$tag;?> - <?php _e('After which header', 'adsplacer_pro');?>:</label>
                            <select data-placeholder="Нажмите чтобы начать выбирать" id="tag-<?=$tag?>" class="form-control" name="tag-<?=$tag?>[]" multiple>
                                <option value="custom"><?php _e('Custom', 'adsplacer_pro');?></option>
                                <?php for($i = 1; $i <= 10; $i++):?>
                                <option value="<?=$i?>"><?=$i?></option>
                                <?php endfor;?>
                            </select>
                        </div>
                    <?php endforeach;?>
                </div>
                <div class="form-group">
                    <label class="spoiler-header"><?php _e('Author', 'adsplacer_pro');?>:</label>
                    <div class="input-spoiler">
                        <select data-placeholder="Нажмите чтобы начать выбирать" id="author" class="form-control" name="authors[]" multiple>
                            <?php foreach($authors as $id => $login):?>
                                <option value="<?=$id?>"><?=$login?></option>
                            <?php endforeach;?>
                        </select>
                    </div>
                </div>
                <div class="form-group chosen-container-multi">
                    <label for="post" class="spoiler-header"><?php _e('Post', 'adsplacer_pro');?>:</label>
                    <div class="input-spoiler">
                        <input style="padding: 3px;" type="text" id="post" class="chosen-choices" name="posts"> <span><?php _e('Post IDs separated with comma', 'adsplacer_pro');?></span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="spoiler-header"><?php _e('Country', 'adsplacer_pro');?>:</label>
                    <div class="input-spoiler">
                        <select data-placeholder="Нажмите чтобы начать выбирать" id="country" class="form-control" name="countries[]" multiple>
                            <?php foreach($countries as $code => $country):?>
                                <option value="<?=$code?>"><?=$country?></option>
                            <?php endforeach;?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="spoiler-header"><?php _e('City', 'adsplacer_pro');?>:</label>
                    <div class="input-spoiler">
                        <select data-placeholder="Нажмите чтобы начать выбирать" id="city" class="form-control" name="cities[]" multiple>
                            <?php foreach($cities as $code => $city):?>
                                <option value="<?=$code?>"><?=$city?></option>
                            <?php endforeach;?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="spoiler-header"><?php _e('Operational system', 'adsplacer_pro');?>:</label>
                    <div class="input-spoiler">
                        <select data-placeholder="Нажмите чтобы начать выбирать" id="os" class="form-control" name="oses[]" multiple>
                            <?php foreach($oses as $code => $os):?>
                                <option value="<?=$code?>"><?=$os?></option>
                            <?php endforeach;?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="spoiler-header"><?php _e('Browser', 'adsplacer_pro');?>:</label>
                    <div class="input-spoiler">
                        <select data-placeholder="Нажмите чтобы начать выбирать" id="browser" class="form-control" name="browsers[]" multiple>
                            <?php foreach($browsers as $code => $browser):?>
                                <option value="<?=$code?>"><?=$browser?></option>
                            <?php endforeach;?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="spoiler-header"><?php _e('Origin', 'adsplacer_pro');?>:</label>
                    <div class="input-spoiler">
                        <select data-placeholder="Нажмите чтобы начать выбирать" id="origin" class="form-control" name="origins[]" multiple>
                            <?php foreach($origins as $code => $origin):?>
                                <option value="<?=$code?>"><?=$origin?></option>
                            <?php endforeach;?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="spoiler-header"><?php _e('Show only first time', 'adsplacer_pro');?>:</label>
                    <div class="input-spoiler">
                        <input id="first_time" type="checkbox" name="first_time" value="1"> <?php _e('Yes', 'adsplacer_pro');?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="spoiler-header"><?php _e('Timing', 'adsplacer_pro');?>:</label>
                    <div class="input-spoiler new-timing">
                        <?php include('time_table.php');?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="spoiler-header"><?php _e('Enable A/B testing for this ad', 'adsplacer_pro');?>:</label>
                    <div class="input-spoiler">
                        <input id="ab_testing" type="checkbox" name="ab_testing" value="1"> <?php _e('Yes', 'adsplacer_pro');?>
                    </div>
                </div>
                <div class="form-group">
                    <label for="template"><?php _e('Use template', 'adsplacer_pro');?>:</label>
                    <select data-placeholder="Нажмите чтобы выбрать" id="template" class="form-control" multiple name="template">
                        <option value="0">Не использовать</option>
                        <?php foreach($this->parent->helper->getAdTemplates() as $template):?>
                            <option value="<?=$template->id?>"><?=$template->name?></option>
                        <?php endforeach;?>
                    </select>
                </div>
                <div class="form-group">
                    <div style="position: relative;">
                        <label><?php _e('Value', 'adsplacer_pro');?>:</label>
                        <?php
                        $args = array(
                            'wpautop' => 0,
                            'media_buttons' => 1,
                            'textarea_name' => 'value',
                            'textarea_rows' => 7,
                            'teeny'         => 1,
                            'tinymce'       => 1,
                            'quicktags'     => array(
                                'id' => 'contentValue',
                                'buttons' => 'strong,em,link,img,ul,ol,li'
                            ),
                        );
                        wp_editor( '', 'contentValue', $args ); ?>
                        <div class="new adsplacer-block-overlay" style="display: none;"></div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="description"><?php _e('Description', 'adsplacer_pro');?>:</label>
                    <textarea class="form-control" id="description" name="description" rows="2" autocomplete="off"></textarea>
                </div>

                <p id="addResult"></p>
            </div>

            <div class="adsplacer-pro-modal-footer">
                <i class="fa fa-refresh fa-spin hidden progress-icon" id="addShortcodeProgress"></i>
                <button id="addNewShortcodeButton" class="button button-primary" data-add-nonce="<?php echo wp_create_nonce('addNewAd'); ?>" autocomplete="off"><?php _e('Add!', 'adsplacer_pro');?>!</button>
            </div>
        </div>
    </div>

    <div id="editShortcodeModal" class="adsplacer-pro-modal">
        <div class="adsplacer-pro-modal-content">
            <div class="adsplacer-pro-modal-header"><h4><?php _e('Ad editing', 'adsplacer_pro');?></h4><a href="#" class="adsplacer-pro-modal-close-button"><i class="fa fa-times"></i></a></div>

            <div class="adsplacer-pro-modal-body">
                <div id="viewShortcodeProgressContainer"><i class="fa fa-refresh fa-spin view-progress-icon" id="viewShortcodeProgress"></i></div>
                <div id="editable" class="hidden">
                    <input type="hidden" name="location" value="<?=$type?>">
                    <div class="form-group">
                        <label class="spoiler-header"><?php _e('Taxonomies', 'adsplacer_pro');?>:</label>
                        <div class="input-spoiler">
                            <select data-placeholder="Нажмите чтобы начать выбирать" id="edit-taxonomy" class="form-control" name="taxonomies[]" multiple>
                                <?php foreach($taxonomies as $code => $taxonomy):?>
                                    <option value="<?=$code?>"><?=$taxonomy?></option>
                                <?php endforeach;?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="spoiler-header"><?php _e('Post tags', 'adsplacer_pro');?>:</label>
                        <div class="input-spoiler">
                            <select data-placeholder="Нажмите чтобы начать выбирать" id="edit-post_tag" class="form-control" name="post_tags[]" multiple>
                                <?php foreach($post_tags as $code => $post_tag):?>
                                    <option value="<?=$code?>"><?=$post_tag?></option>
                                <?php endforeach;?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="spoiler-header"><?php _e('Paragraphs', 'adsplacer_pro');?>:</label>
                        <div class="input-spoiler">
                            <select data-placeholder="Нажмите чтобы начать выбирать" id="edit-paragraph" class="form-control" name="paragraphs[]" multiple>
                                <?php foreach($paragraphs as $code => $paragraph):?>
                                    <option value="<?=$code?>"><?=$paragraph?></option>
                                <?php endforeach;?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="spoiler-header"><?php _e('Tags', 'adsplacer_pro');?>:</label>
                        <?php foreach(AdsPlacer_Pro_Changer::$allowedTags as $tag):?>
                            <div class="input-spoiler">
                                <label class="tags-targeting"><?=$tag;?> - <?php _e('After which header', 'adsplacer_pro');?>:</label>
                                <select data-placeholder="Нажмите чтобы начать выбирать" id="edit-tag-<?=$tag?>" class="form-control" name="tags-<?=$tag?>[]" multiple>
                                    <option value="custom"><?php _e('Custom', 'adsplacer_pro');?></option>
                                    <?php for($i = 1; $i <= 10; $i++):?>
                                        <option value="<?=$i?>"><?=$i?></option>
                                    <?php endfor;?>
                                </select>
                            </div>
                        <?php endforeach;?>
                    </div>
                    <div class="form-group">
                        <label class="spoiler-header"><?php _e('Author', 'adsplacer_pro');?>:</label>
                        <div class="input-spoiler">
                            <select data-placeholder="Нажмите чтобы начать выбирать" id="edit-author" class="form-control" name="authors[]" multiple>
                                <?php foreach($authors as $id => $login):?>
                                    <option value="<?=$id?>"><?=$login?></option>
                                <?php endforeach;?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group chosen-container-multi">
                        <label for="edit-post" class="spoiler-header"><?php _e('Post', 'adsplacer_pro');?>:</label>
                        <div class="input-spoiler">
                            <input style="padding: 3px;" type="text" id="edit-post" class="chosen-choices" name="post"> <span><?php _e('Post IDs separated with comma', 'adsplacer_pro');?></span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="spoiler-header"><?php _e('Country', 'adsplacer_pro');?>:</label>
                        <div class="input-spoiler">
                            <select data-placeholder="Нажмите чтобы начать выбирать" id="edit-country" class="form-control" name="countries[]" multiple>
                                <?php foreach($countries as $code => $country):?>
                                    <option value="<?=$code?>"><?=$country?></option>
                                <?php endforeach;?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="spoiler-header"><?php _e('City', 'adsplacer_pro');?>:</label>
                        <div class="input-spoiler">
                            <select data-placeholder="Нажмите чтобы начать выбирать" id="edit-city" class="form-control" name="cities[]" multiple>
                                <?php foreach($cities as $code => $city):?>
                                    <option value="<?=$code?>"><?=$city?></option>
                                <?php endforeach;?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="spoiler-header"><?php _e('Operation system', 'adsplacer_pro');?>:</label>
                        <div class="input-spoiler">
                            <select data-placeholder="Нажмите чтобы начать выбирать" id="edit-os" class="form-control" name="oses[]" multiple>
                                <?php foreach($oses as $code => $os):?>
                                    <option value="<?=$code?>"><?=$os?></option>
                                <?php endforeach;?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="spoiler-header"><?php _e('Browser', 'adsplacer_pro');?>:</label>
                        <div class="input-spoiler">
                            <select data-placeholder="Нажмите чтобы начать выбирать" id="edit-browser" class="form-control" name="browsers[]" multiple>
                                <?php foreach($browsers as $code => $browser):?>
                                    <option value="<?=$code?>"><?=$browser?></option>
                                <?php endforeach;?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="spoiler-header"><?php _e('Origin', 'adsplacer_pro');?>:</label>
                        <div class="input-spoiler">
                            <select data-placeholder="Нажмите чтобы начать выбирать" id="edit-origin" class="form-control" name="origins[]" multiple>
                                <?php foreach($origins as $code => $origin):?>
                                    <option value="<?=$code?>"><?=$origin?></option>
                                <?php endforeach;?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="spoiler-header"><?php _e('Show only first time', 'adsplacer_pro');?>:</label>
                        <div class="input-spoiler">
                            <input id="edit-first_time" type="checkbox" name="first_time" value="1"> <?php _e('Yes', 'adsplacer_pro');?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="spoiler-header"><?php _e('Timing', 'adsplacer_pro');?>:</label>
                        <div class="input-spoiler edit-timing">
                            <?php include('time_table.php');?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="spoiler-header"><?php _e('Enable A/B testing for this ad', 'adsplacer_pro');?>:</label>
                        <div class="input-spoiler">
                            <input id="edit-ab_testing" type="checkbox" name="ab_testing" value="1"> <?php _e('Yes', 'adsplacer_pro');?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="edit-template"><?php _e('Use template', 'adsplacer_pro');?>:</label>
                        <select data-placeholder="Нажмите чтобы выбрать" id="edit-template" class="form-control" multiple name="edit-template">
                            <option value="0">Не использовать</option>
                            <?php foreach($this->parent->helper->getAdTemplates() as $template):?>
                                <option value="<?=$template->id?>"><?=$template->name?></option>
                            <?php endforeach;?>
                        </select>
                    </div>
                    <div class="form-group">
                        <div style="position: relative;">
                            <label><?php _e('Value', 'adsplacer_pro');?>:</label>
                            <?php
                            $args = array(
                                'wpautop' => 0,
                                'media_buttons' => 1,
                                'textarea_name' => 'edit_value',
                                'textarea_rows' => 7,
                                'teeny'         => 1,
                                'tinymce'       => 1,
                                'quicktags'     => array(
                                    'id' => 'editableValue',
                                    'buttons' => 'strong,em,link,img,ul,ol,li'
                                ),
                            );
                            wp_editor( '', 'editableValue', $args ); ?>
                            <div class="edit adsplacer-block-overlay" style="display: none;"></div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="editableShortcodeDescription"><?php _e('Description', 'adsplacer_pro');?>:</label>
                        <textarea class="form-control" id="editableShortcodeDescription" name="description" rows="2" autocomplete="off"></textarea>
                    </div>
                </div>
                <p id="editResult"></p>
            </div>

            <div class="adsplacer-pro-modal-footer">
                <i class="fa fa-refresh fa-spin hidden progress-icon" id="editShortcodeProgress"></i>
                <button id="editShortcodeButton" class="button button-primary" data-id="" data-edit-nonce="" autocomplete="off"><?php _e('Update', 'adsplacer_pro');?>!</button>
            </div>
        </div>
    </div>
</div>
