<?php
/* @var $this AdsPlacer_Pro_Html */
$references = $this->getAllowedReferencesToInstall();
$citiesReferences = $this->checkCitiesReferencesIsInstalled();
?>
<div class="wrap">
    <h2>AdsPlace'r Pro <?php _e('Global settings', 'adsplacer_pro'); ?></h2>
    <?php if($references):?>
    <form method="POST" action="">
        <table class="form-table">
            <tbody>
            <tr>
                <th width="33%"><?php _e('Installing country determination references', 'adsplacer_pro'); ?></th>
                <td>
                    <label>
                        <select name="reference_country">
                            <?php foreach($references as $code => $country):?>
                            <option value="<?=$code?>"><?=$country?></option>
                            <?php endforeach;?>
                        </select>
                    </label>
                </td>
            </tr>
            </tbody>
        </table>
        <p class="submit">
            <input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e('Install reference', 'adsplacer_pro'); ?>"></p>
    </form>
    <?php endif;?>
    <?php if($citiesReferences):?>
    <form method="POST" action="">
        <input type="hidden" name="reference_cities">
        <table class="form-table">
            <tbody>
            <tr>
                <th width="33%"><?php _e('Installing city determination references', 'adsplacer_pro'); ?></th>
                <td>
                </td>
            </tr>
            </tbody>
        </table>
        <p class="submit">
            <input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e('Install reference', 'adsplacer_pro'); ?>"></p>
    </form>
    <?php endif;?>
    <hr>
    <form>
        <table class="form-table">
            <tbody>
            <tr>
                <th width="33%"><?php _e('Import/Export settings (Beta)', 'adsplacer_pro'); ?></th>
                <td>
                    <p style="font-style: italic"><?php _e('Import process will clear your previous settings fully, including ads, shortcode, etc', 'adsplacer_pro'); ?></p>
                </td>
            </tr>
            <tr>
                <td><?php _e('Export settings', 'adsplacer_pro'); ?></td>
                <td>
                    <a href="<?=admin_url()?>admin-ajax.php?action=adsplacer_pro_generate_export_zip" class="button button-primary"><?php _e('Export', 'adsplacer_pro'); ?></a>
                </td>
            </tr>
            <tr>
                <td><?php _e('Import settings from the file', 'adsplacer_pro'); ?></td>
                <td>
                    <input id="import_settings_input" type="file" value="<?php _e('Choose file', 'adsplacer_pro'); ?>">
                    <a style="display: none;" id="import_settings" href="javascript:;" class="button button-primary"><?php _e('Import', 'adsplacer_pro'); ?></a>
                </td>
            </tr>
            </tbody>
        </table>
    </form>
    <hr>
    <form id="adsplacer_settings_form" method="POST" action="">
        <table class="form-table">
            <tbody>
			<tr>
                <th width="33%"><?php _e('Where ads should be shown', 'adsplacer_pro'); ?></th>
                <td>
                    <fieldset>
                        <label><input type="checkbox" name="adsplacer_post_types[]" value="post" <?php if(in_array('post', $saved_post_types)):?>checked<?php endif;?>> <?php _e('Single posts', 'adsplacer_pro'); ?> (post)</label><br>
                        <label><input type="checkbox" name="adsplacer_post_types[]" value="page" <?php if(in_array('page', $saved_post_types)):?>checked<?php endif;?>> <?php _e('Single pages', 'adsplacer_pro'); ?> (page)</label><br>
                        <?php foreach($post_types as $post_type):?>
                            <label><input type="checkbox" name="adsplacer_post_types[]" value="<?=$post_type->name?>" <?php if(in_array($post_type->name, $saved_post_types)):?>checked<?php endif;?>> <?=$post_type->labels->name?> (<?=$post_type->name?>)</label><br>
                        <?php endforeach;?>
                    </fieldset>
                </td>
            </tr>
            <tr>
                <th width="33%"><?php _e('Minimal number of characters to show ads inside the posts', 'adsplacer_pro'); ?><br><span style="font-size: 11px;"><?php _e('Without tags. If 0, shows every time', 'adsplacer_pro');?></span></th>
                <td>
                    <label>
                        <input name="adsplacer_characters_number" value="<?=get_option('adsplacer_characters_number')?>">
                    </label>
                </td>
            </tr>
            <tr>
                <th width="33%"><?php _e('Where ads should be showed (before or after p tags, blockquote)', 'adsplacer_pro'); ?></th>
                <td>
                    <label>
                        <input type="radio" name="adsplacer_ads_position" value="1" <?php if(get_option('adsplacer_ads_position', 2) == 1):?>checked<?php endif;?>> <?php _e('Before', 'adsplacer_pro'); ?>
                    </label>
                    <br>
                    <label>
                        <input type="radio" name="adsplacer_ads_position" value="2"<?php if(get_option('adsplacer_ads_position', 2) == 2):?>checked<?php endif;?>> <?php _e('After', 'adsplacer_pro'); ?>
                    </label>
                </td>
            </tr>
            <tr>
                <th width="33%"><?php _e('Exclude blocks with IDs', 'adsplacer_pro'); ?>
                    <br>
                    <span style="font-size: 11px;"><?php _e('Each on new line', 'adsplacer_pro'); ?></span></th>
                <td>
                    <fieldset>
                        <label>
                            <textarea style="width: 250px;" name="adsplacer_exclude_block_list_ids"><?php echo get_option('adsplacer_exclude_block_list_ids');?></textarea>
                        </label>
                    </fieldset>
                </td>
            </tr>
            <tr>
                <th width="33%"><?php _e('Exclude blocks with classes', 'adsplacer_pro'); ?>
                    <br>
                    <span style="font-size: 11px;"><?php _e('Each on new line', 'adsplacer_pro'); ?></span></th>
                <td>
                    <fieldset>
                        <label>
                            <textarea style="width: 250px;" name="adsplacer_exclude_block_list_classes"><?php echo get_option('adsplacer_exclude_block_list_classes');?></textarea>
                        </label>
                    </fieldset>
                </td>
            </tr>
            <tr>
                <th width="33%"><?php _e('Cookie time', 'adsplacer_pro'); ?><br><span style="font-size: 11px;"><?php _e('For ads should be shown only first time', 'adsplacer_pro');?></span></th>
                <td>
                    <label>
                        <input name="adsplacer_cookie_time" value="<?=get_option('adsplacer_cookie_time', 365)?>">
                    </label>
                </td>
            </tr>
            <tr>
                <th width="33%"><?php _e('Manual disabling all blocks', 'adsplacer_pro'); ?><br><span style="font-size: 11px;"><?php _e('Check where ads should NOT be added', 'adsplacer_pro');?></span></th>
                <td>
                    <fieldset>
                        <label><input type="checkbox" name="adsplacer_disabled_blocks[]" value="beforePC" <?php if(in_array('beforePC', $disabled_blocks)):?>checked<?php endif;?>> До контента на PC</label><br>
                        <label><input type="checkbox" name="adsplacer_disabled_blocks[]" value="insidePC" <?php if(in_array('insidePC', $disabled_blocks)):?>checked<?php endif;?>> В контенте на PC</label><br>
                        <!--<label><input type="checkbox" name="adsplacer_disabled_blocks[]" value="insidePC2" <?php if(in_array('insidePC2', $disabled_blocks)):?>checked<?php endif;?>> В контенте на PC (Дополнительная)</label><br>-->
                        <label><input type="checkbox" name="adsplacer_disabled_blocks[]" value="afterPC" <?php if(in_array('afterPC', $disabled_blocks)):?>checked<?php endif;?>> После контента на PC</label><br>
                        <label><input type="checkbox" name="adsplacer_disabled_blocks[]" value="beforeMobile" <?php if(in_array('beforeMobile', $disabled_blocks)):?>checked<?php endif;?>> До контента на мобильных устройствах</label><br>
                        <label><input type="checkbox" name="adsplacer_disabled_blocks[]" value="insideMobile" <?php if(in_array('insideMobile', $disabled_blocks)):?>checked<?php endif;?>> В контенте на мобильных устройствах</label><br>
                        <!--<label><input type="checkbox" name="adsplacer_disabled_blocks[]" value="insideMobile2" <?php if(in_array('insideMobile2', $disabled_blocks)):?>checked<?php endif;?>> В контенте на мобильных устройствах (Дополнительная)</label><br>-->
                        <label><input type="checkbox" name="adsplacer_disabled_blocks[]" value="afterMobile" <?php if(in_array('afterMobile', $disabled_blocks)):?>checked<?php endif;?>> После контента на мобильных устройствах</label><br>
                    </fieldset>
                </td>
            </tr>
            <tr>
                <th width="33%">Добавлять объявления из шорткодов с помощью ajax? (бета). </th>
                <td>
                    <fieldset>
                        <input type="hidden" name="adsplacer_show_shortcodes_ads_ajax" value="0">
                        <label><input type="checkbox" name="adsplacer_show_shortcodes_ads_ajax" value="1" <?php if($show_shortcodes_ads_ajax):?>checked<?php endif;?>> Поможет сохранить функциональность при использовании кеш плагинов.</label><br>
                    </fieldset>
                </td>
            </tr>
            </tr>
            <tr>
                <th width="33%">Добавлять объявления в контенте с помощью ajax? (бета). </th>
                <td>
                    <fieldset>
                        <input type="hidden" name="adsplacer_show_ads_ajax" value="0">
                        <label><input type="checkbox" name="adsplacer_show_ads_ajax" value="1" <?php if($show_ads_ajax):?>checked<?php endif;?>> Поможет сохранить функциональность при использовании кеш плагинов.</label><br>
                    </fieldset>
                </td>
            </tr>
            <tr>
                <th width="33%">Через сколько времени вставлять рекламу внутри поста<br></th>
                <td>
                    <fieldset>
                        <label><input type="number" name="adsplacer_show_ads_ajax_timeout" value="<?=get_option('adsplacer_show_ads_ajax_timeout', 0)?>"> В секундах. <br><span style="font-size: 10px;">Оптимальное значение - 0. Если испытываете проблемы с подключением jQuery пробуйте увеличивать значение.</span></label><br>
                    </fieldset>
                </td>
            </tr>
            <tr>
                <td colspan="2">
					<span>
						<?php _e('If you want disable ads in some taxonomies, go to <a href="/wp-admin/edit-tags.php?taxonomy=category">Posts->Taxes</a> and hit particular checkbox', 'adsplacer_pro');?>
					</span>
                </td>
            </tr>
            <tr>
                <td colspan="2"><hr></td>
            </tr>
            <tr>
                <th width="33%"><?php _e('Enable referrer blocking functionality', 'adsplacer_pro'); ?></th>
                <td>
                    <fieldset>
                        <input type="hidden" name="adsplacer_enable_block_by_referrer" value="0">
                        <label><input type="checkbox" name="adsplacer_enable_block_by_referrer" value="1" <?php if(get_option('adsplacer_enable_block_by_referrer')):?>checked<?php endif;?>></label><br>
                    </fieldset>
                </td>
            </tr>
            <tr>
                <th width="33%"><?php _e('List of referrers', 'adsplacer_pro'); ?>
                    <br>
                    <span style="font-size: 11px;"><?php _e('Each on new line, without http/https/www', 'adsplacer_pro'); ?></span></th>
                <td>
                    <fieldset>
                        <label>
                            <textarea style="width: 250px;" name="adsplacer_referrers_list"><?php echo get_option('adsplacer_referrers_list');?></textarea>
                        </label>
                    </fieldset>
                </td>
            </tr>
            </tbody>
        </table>
        <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e('Save changes', 'adsplacer_pro'); ?>"></p>
    </form>
</div>
<script>
    jQuery(document).ready(function(){
        jQuery('#import_settings_input').on('change', function(){
            jQuery("#import_settings").show();
        })
    });
    jQuery('#import_settings').on('click', function(){
        if(confirm('Вы уверены? Данное действие полностью сотрет все ваши текущие настройки.')){

            var url = '';
            var images = jQuery('#import_settings_input');
            if(!images.prop('files').length){
                return ;
            }


            for(var i = 0; i < images.prop('files').length; i++){
                var fd = new FormData();
                fd.append('settings', images.prop('files')[i]);
                jQuery.ajax({
                    type: 'POST',
                    url: ajaxurl + '?action=adsplacer_pro_import_settings',
                    cache: false,
                    async: false,
                    contentType: false,
                    processData: false,
                    dataType: 'json',
                    data : fd,
                    success: function(answer){
                        if(answer.success){
                            alert('Импорт завершен! Страница будет перезагружена');
                            location.reload();
                        }
                        else {
                            alert('Произошла ошибка: ' + answer.message);
                        }
                    }
                })
            }


        }
    })
</script>